Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.borg.model.undo
Class TaskUndoItem

    java.lang.Object
      net.sf.borg.model.undo.UndoItem<Task>
          net.sf.borg.model.undo.TaskUndoItem

    public class TaskUndoItem

extends UndoItem<Task>

Task Undo Item.

Nested Class Summary

Nested classes/interfaces inherited from class net.sf.borg.model.undo.UndoItem
`UndoItem.actionType`

Field Summary

Fields inherited from class net.sf.borg.model.undo.UndoItem
`action, item`

Method Summary
`(package private) void` | `addSubtask(SubtaskUndoItem st)` Adds a subtask undo item to this task undo item.
`void` | `executeUndo()` execute the undo action on the item.
`(package private) static TaskUndoItem` | `getLastTaskItem()` Gets the last task item.
`static TaskUndoItem` | `recordAdd(Task task)` Record a Task add.
`static TaskUndoItem` | `recordDelete(Task task)` Record a Task delete.
`static TaskUndoItem` | `recordUpdate(Task task)` Record a Task update.

Methods inherited from class net.sf.borg.model.undo.UndoItem
`getDescription, setDescription`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### executeUndo

    public void executeUndo()

  Description copied from class: `UndoItem`
  execute the undo action on the item.

  Specified by:
    `executeUndo` in class `UndoItem<Task>`

### recordUpdate

    public static TaskUndoItem recordUpdate(Task task)

  Record a Task update.

  Parameters:
    `task` - the task
  Returns:
    the task undo item

### recordAdd

    public static TaskUndoItem recordAdd(Task task)

  Record a Task add.

  Parameters:
    `task` - the task
  Returns:
    the task undo item

### recordDelete

    public static TaskUndoItem recordDelete(Task task)

  Record a Task delete.

  Parameters:
    `task` - the task
  Returns:
    the task undo item

### getLastTaskItem

    static TaskUndoItem getLastTaskItem()

  Gets the last task item.

  Returns:
    the last task item

### addSubtask

    void addSubtask(SubtaskUndoItem st)

  Adds a subtask undo item to this task undo item.

  Parameters:
    `st` - the subtask

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Generated September 24 2010 by mbb using Apache Ant version 1.7.1 compiled on June 27 2008 and Java version 1.6.0_20 from Sun Microsystems Inc. on Linux i386 2.6.24-28-generic